package com.fr.plugin;

import com.fr.design.beans.BasicBeanPane;
import com.fr.design.fun.impl.AbstractCellWidgetOptionProvider;
import com.fr.form.ui.Widget;
import com.fr.locale.InterProviderFactory;
import com.fr.plugin.widget.MyEditorWidget;

public class MyCellWidgetOptionProvider extends AbstractCellWidgetOptionProvider {
    @Override
    public Class<? extends Widget> classForWidget(){
        return MyEditorWidget.class;
    }
    public Class<? extends BasicBeanPane<? extends Widget>> appearanceForWidget(){
        return MyWidgetConfigPane.class;
    }
    @Override
    public String iconPathForWidget(){
        return "com/fr/plugin/web/edit.png";
    }
    @Override
    public String nameForWidget(){
        //国际化
//        return  InterProviderFactory.getProvider().getLocText("Plugin-My_Widget_Title");
        return "我的编辑控件";
    }
}
