package com.fr.plugin;

import com.fr.design.gui.frpane.UITitlePanel;
import com.fr.design.gui.icheckbox.UICheckBox;
import com.fr.design.gui.itextfield.UITextField;
import com.fr.design.mainframe.widget.editors.TextField;
import com.fr.design.widget.DataModify;
import com.fr.design.widget.ui.AbstractDataModify;
import com.fr.plugin.widget.MyEditorWidget;
import com.fr.design.gui.ilable.UILabel;
import com.fr.stable.StringUtils;

import javax.swing.*;
import java.awt.*;

public class MyWidgetConfigPane extends AbstractDataModify<MyEditorWidget> {
    private UITextField ui =   new UITextField(9);
    private UICheckBox checkBox = new UICheckBox("可空");
    private UITextField ui2 =   new UITextField(9);
    private UILabel ul = new UILabel("提示信息");
    private JPanel p1=new JPanel(new GridLayout(1,2));
    private JPanel p2=new JPanel(new FlowLayout(FlowLayout.LEFT));
    private JPanel p3=new JPanel(new GridLayout(1,2));
    public MyWidgetConfigPane(){

//        UITitlePanel uiTitlePanel = new UITitlePanel( new JPanel() ,"MyPanel" );
//        uiTitlePanel.setName("我的配置项");
//        uiTitlePanel.add(new UILabel("水印："));
//        uiTitlePanel.add(ui);
//        this.add(uiTitlePanel);
//        this.add(new UILabel("水印："));
//        this.add(ui);

        p1.add(new UILabel("水印"));
        p1.add(ui);
        p2.add(checkBox);
        if(!checkBox.isSelected()){
//            ul.setVisible(true);
//           ui2.setVisible(true);
            p3.setVisible(true);
        }else {
            p3.setVisible(false);
//            ul.setVisible(false);
//            ui2.setVisible(false);
        }
        p3.add(ul);
        p3.add(ui2);
        this.add(p1);
        this.add(p2);
        this.add(p3);
    }
    @Override
    public  void populateBean(MyEditorWidget myEditorWidget){
//        ui.setText(myEditorWidget.getCf1());
        String str1 = myEditorWidget.getCf1();
        if(StringUtils.isNotBlank(str1)){
            ui.setText(str1);
        }
        boolean vcf2 = myEditorWidget.isCf2();
        checkBox.setSelected(vcf2);
        String str3 = myEditorWidget.getCf3();
        if(StringUtils.isNotBlank(str3)){
            ui2.setText(str3);
        }
    }
    @Override
    public MyEditorWidget updateBean(){
        MyEditorWidget myEditorWidget =new MyEditorWidget();
        String str1 =  ui.getText();
        myEditorWidget.setCf1(str1);
        boolean vcf2 = checkBox.isSelected();
        myEditorWidget.setCf2(vcf2);
        if(!vcf2){
//            ui2.setVisible(true);
            p3.setVisible(true);
        }else
        {
//            ui2.setVisible(false);
            p3.setVisible(false);
        }
        String str3 =  ui2.getText();
        myEditorWidget.setCf3(str3);
        return  myEditorWidget;
    }
    @Override
    public String title4PopupWindow(){
        return "MyConfigTitle";
    }

}
